Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		efence
Version:	2.4.14
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.pf-lug.de/projekte/haya/efence.php
Group:		Development/Other
Source0:	%{name}_2_4_14.tar.gz
Patch0:		%{name}-%{version}-DESTDIR.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Electric Fence (efence) is an open-source library to detect buffer overruns and under-runs in C programs.

%description
Electric Fence (efence) stops your program on the exact instruction that
overruns (or underruns) a malloc() memory buffer.
GDB will then display the source-code line that causes the bug.
It works by using the virtual-memory hardware to create a red-zone
at the border of each buffer - touch that, and your program stops.
Catch all of those formerly impossible-to-catch overrun bugs that
have been bothering you for years.
For more details see: http://www.pf-lug.de/projekte/haya/efence.php

%package devel
Summary: %{name} development headers.
Group: %{group}            
Requires: %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}
%patch0 -p1 -b -DESTDIR

%build
make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc CHANGES COPYING-* README
%_bindir
%_libdir/*.so.0.0
%_datadir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.so
%_libdir/*.so.0

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 16 2005 Christian Wasem <wasem@ccux-linux.de> 2.4.14-1
- Initial Release  
